# Package ch.qos.logback.core.boolex

Contains the EventEvaluator interface and subclasses.

See: Description

Interface Summary
Interface | Description
--- | ---
EventEvaluator<E> | Evaluates whether a given an event matches user-specified criteria.

Class Summary
Class | Description
--- | ---
EventEvaluatorBase<E> |
JaninoEventEvaluatorBase<E> | Abstract class which sets the groundwork for janino based evaluations.
Matcher |

Exception Summary
Exception | Description
--- | ---
EvaluationException | This exception wraps exceptions thrown while evaluating events.

## Package ch.qos.logback.core.boolex Description

Contains the EventEvaluator interface and subclasses.

EventEvaluator is subclassed by JaninoEventEvaluatorBase. Specific subclasses can be found in logback modules.